unit PlaystationAltList;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmPlaystationAltList = class(TForm)
    memoAltCDlist: TMemo;
    btnOk: TButton;
    btnCancel: TButton;
    lblPlaystationAltList: TLabel;
    btnAddLast: TButton;
    procedure btnOkClick(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure btnAddLastClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmPlaystationAltList: TfrmPlaystationAltList;
  strLastPSXcd :String;

implementation

uses
  IniFile;

{$R *.DFM}

procedure TfrmPlaystationAltList.FormShow(Sender: TObject);
var
  i : Integer;
begin
  memoAltCDlist.Lines.Clear;
  { lijst tonen }
  for i := 0 to ini_PSXAltCDlist.Count-1 do
    memoAltCDlist.Lines.Add(ini_PSXAltCDlist.Strings[i]);
end;

procedure TfrmPlaystationAltList.btnOkClick(Sender: TObject);
var
  i, j : Integer;
  strTemp : String;
begin
  ini_PSXAltCDlist.Clear;
  { lijst opslaan }
  for i := 0 to memoAltCDlist.Lines.Count-1 do
  begin
    strTemp := Trim(memoAltCDlist.Lines[i]);
    j := Pos('=', strTemp);
    if (strTemp <> '')
    and (j <> 0) then
      ini_PSXAltCDlist.Add(strTemp);
  end;
  ModalResult := mrOk;
end;

procedure TfrmPlaystationAltList.btnCancelClick(Sender: TObject);
begin
  ModalResult := mrCancel;
end;

procedure TfrmPlaystationAltList.btnAddLastClick(Sender: TObject);
begin
  if (strLastPSXcd <> '') then
    memoAltCDlist.Lines.Add(strLastPSXcd +'=game description');
end;

initialization
  strLastPSXcd := '';
  
end.
